pcl::cuda::FastNormalEstimationKernel< Storage > Struct Template Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/features/include/pcl/cuda/features/normal_3d_kernels.h>`

## Public Member Functions

| FastNormalEstimationKernel (const boost::shared_ptr< const PointCloudAOS< Storage > > &input, int width, int height)
__host__ __device__ float4 | operator() (int idx)

## Public Attributes

const PointXYZRGB * | points_
int | width_
int | height_

## Detailed Description

### template<template< typename > class Storage>
struct pcl::cuda::FastNormalEstimationKernel< Storage >

Definition at line 99 of file normal_3d_kernels.h.

## Constructor & Destructor Documentation

## FastNormalEstimationKernel()

template<template< typename > class Storage>

pcl::cuda::FastNormalEstimationKernel< Storage >::FastNormalEstimationKernel | ( | const boost::shared_ptr< const PointCloudAOS< Storage > > & | input,
|  | int | width,
|  | int | height
| ) |  |

inline

Definition at line 101 of file normal_3d_kernels.h.

## Member Function Documentation

## operator()()

template<template< typename > class Storage>

__host__ __device__ float4 pcl::cuda::FastNormalEstimationKernel< Storage >::operator() | ( | int | idx | ) |

inline

Definition at line 106 of file normal_3d_kernels.h.

References pcl::cuda::NormalEstimationKernel< Storage >::points_, and pcl::cuda::PointXYZRGB::z.

## Member Data Documentation

## height_

template<template< typename > class Storage>

int pcl::cuda::FastNormalEstimationKernel< Storage >::height_

Definition at line 153 of file normal_3d_kernels.h.

## points_

template<template< typename > class Storage>

const PointXYZRGB* pcl::cuda::FastNormalEstimationKernel< Storage >::points_

Definition at line 151 of file normal_3d_kernels.h.

## width_

template<template< typename > class Storage>

int pcl::cuda::FastNormalEstimationKernel< Storage >::width_

Definition at line 152 of file normal_3d_kernels.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/features/include/pcl/cuda/features/normal_3d_kernels.h